Index: oem-config-1.54.13netbook4/lib/components/language.py
===================================================================
--- oem-config-1.54.13netbook4.orig/lib/components/language.py	2009-07-28 15:03:02.000000000 -0400
+++ oem-config-1.54.13netbook4/lib/components/language.py	2009-07-28 15:32:45.000000000 -0400
@@ -50,7 +50,12 @@
             current_language = "English"
 
             import gzip
-            languagelist = gzip.open('/usr/lib/oem-config/language/languagelist.data.gz')
+            
+            if os.path.exists("/usr/share/oem-languages/languagelist.data.gz"):
+               languagelist = gzip.open('/usr/share/oem-languages/languagelist.data.gz')
+            else:
+                languagelist = gzip.open('/usr/lib/oem-config/language/languagelist.data.gz')
+
             language_display_map = {}
             i = 0
             for line in languagelist:
